meta-google: Refactor networkd reloads to one place

We want to have common logging and conditional routines when we talk to
networkd.

Change-Id: I44c83c8137399d2126c565a1f753520603a9f97b
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-google/networking/gbmc-nic-config/gbmc-nic-neigh.sh.in b/meta-google/recipes-google/networking/gbmc-nic-config/gbmc-nic-neigh.sh.in
index 5f3f47f..d7c0f02 100644
--- a/meta-google/recipes-google/networking/gbmc-nic-config/gbmc-nic-neigh.sh.in
+++ b/meta-google/recipes-google/networking/gbmc-nic-config/gbmc-nic-neigh.sh.in
@@ -17,6 +17,8 @@
 
 # shellcheck source=meta-google/recipes-google/networking/network-sh/lib.sh
 source /usr/share/network/lib.sh || exit
+# shellcheck source=meta-google/recipes-google/networking/gbmc-net-common/gbmc-net-lib.sh
+source /usr/share/gbmc-net-lib.sh || exit
 
 gbmc_nic_neigh_intfs=(@IFS@)
 gbmc_nic_neigh_addr=
@@ -55,11 +57,8 @@
   done
   [[ "$act" == del ]] && return
   if (( "${#failed_intfs[@]}" > 0 )); then
-    networkctl reload || true
+    gbmc_net_networkd_reload "${failed_intfs[@]}"
   fi
-  for intf in "${failed_intfs[@]}"; do
-    networkctl reconfigure "$intf" || true
-  done
 }
 
 gbmc_nic_neigh_hook() {